<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.FreightMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="freightResultMap" type="org.springblade.modules.platform.entity.Freight">
        <id column="id" property="id"/>
        <result column="name" property="name"/>
        <result column="code" property="code"/>
        <result column="freight" property="freight"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectFreightPage" resultMap="freightResultMap">
        select * from t_freight where is_deleted = 0
    </select>

</mapper>
